"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.setValue = exports.moveValue = exports.delValue = exports.addValue = exports.batch = exports.SET_VALUE = exports.MOVE_VALUE = exports.DEL_VALUE = exports.ADD_VALUE = exports.BATCH = void 0;
const BATCH = 'BATCH';
exports.BATCH = BATCH;
const ADD_VALUE = 'ADD VALUE';
exports.ADD_VALUE = ADD_VALUE;
const DEL_VALUE = 'DEL VALUE';
exports.DEL_VALUE = DEL_VALUE;
const MOVE_VALUE = 'MOVE_VALUE';
exports.MOVE_VALUE = MOVE_VALUE;
const SET_VALUE = 'SET VALUE';
exports.SET_VALUE = SET_VALUE;

const batch = actions => ({
  payload: actions,
  type: BATCH
});

exports.batch = batch;

const addValue = (path, value, index) => ({
  payload: {
    index,
    path,
    value
  },
  type: ADD_VALUE
});

exports.addValue = addValue;

const delValue = (path, index) => ({
  payload: {
    index,
    path
  },
  type: DEL_VALUE
});

exports.delValue = delValue;

const moveValue = (path, fromIndex, toIndex) => ({
  payload: {
    fromIndex,
    path,
    toIndex
  },
  type: MOVE_VALUE
});

exports.moveValue = moveValue;

const setValue = (path, value, merge = false) => ({
  payload: {
    merge,
    path,
    value
  },
  type: SET_VALUE
});

exports.setValue = setValue;
var _default = {
  BATCH,
  ADD_VALUE,
  DEL_VALUE,
  MOVE_VALUE,
  SET_VALUE,
  batch,
  addValue,
  delValue,
  moveValue,
  setValue
};
exports.default = _default;
//# sourceMappingURL=actions.js.map