"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.del = del;
exports.default = void 0;

var _clone = require("./clone");

function del(object, path) {
  if (!Array.isArray(path) || path.length === 0) {
    throw new TypeError('Invalid arguments');
  }

  let newObject = (0, _clone.clone)(object);
  let obj = newObject;

  for (let i = 0; i < path.length - 1; i++) {
    if (!(path[i] in obj)) {
      return object;
    }

    obj = obj[path[i]] = (0, _clone.clone)(obj[path[i]]);
  }

  const prop = path[path.length - 1];

  if (prop in obj) {
    delete obj[prop];
    return newObject;
  }

  return object;
}

var _default = del;
exports.default = _default;
//# sourceMappingURL=del.js.map