"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = get;
exports.default = void 0;

function get(object, path, defaultValue) {
  if (!Array.isArray(path)) {
    throw new TypeError('Invalid arguments');
  }

  let obj = object;

  for (let i = 0; i < path.length; i++) {
    if (!(path[i] in obj)) {
      return defaultValue;
    }

    obj = obj[path[i]];
  }

  return obj;
}

var _default = get;
exports.default = _default;
//# sourceMappingURL=get.js.map